﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace xamDataGridUpdateIcon
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<Person> col;

        public MainWindow()
        {
            InitializeComponent();
            col = new ObservableCollection<Person>();
            col.Add(new Person() { Name = "Johny", Age = 30, Address = "London" });
            col.Add(new Person() { Name = "Jim", Age = 40, Address = "NY" });
            col.Add(new Person() { Name = "Jack", Age = 50, Address = "Texas" });
            xamDataGrid1.DataContext = col;
        }
        class Person : INotifyPropertyChanged
        {
            String name;

            public String Name
            {
                get { return name; }
                set
                {
                    name = value;
                    NotifyPropertyChanged("Name");
                }
            }
            int age;

            public int Age
            {
                get { return age; }
                set
                {
                    age = value;
                    NotifyPropertyChanged("Age");
                }
            }
            String address;

            public String Address
            {
                get { return address; }
                set
                {
                    address = value;
                    NotifyPropertyChanged("Address");
                }
            }

            public event PropertyChangedEventHandler PropertyChanged;

            private void NotifyPropertyChanged(String info)
            {
                if (PropertyChanged != null)
                {
                    PropertyChanged(this, new PropertyChangedEventArgs(info));
                }
            }
        }

    }
}
